# -*- coding: utf-8 -*-
"""
Created on Mon Mar 28 09:59:37 2022

@author: nilsj
"""

import openpyxl as opx
import numpy as np
import matplotlib.pyplot as plt

workbook = opx.load_workbook(filename = 'C:/Users/nilsj/Desktop/Master/Bunkering of liquid hydrogen/Rawdata_FFI/Cumulative_pressure/Test_3/Test_3_cumulative.xlsx')

sheet = workbook.active

'Time'
for t in sheet.iter_cols(min_row=64,
                           max_row=1975,
                           min_col=1,
                           max_col=1,
                           values_only=True):
    t = list(t)

'Pressure 4 reading'
for P04 in sheet.iter_cols(min_row =64,
                           max_row=1975,
                           min_col=5,
                           max_col=5,
                           values_only=True):
    P04 = list(P04)

'Array for plot'
R_array = []

'Variables'
p2 = 1.0135e5
d = 25e-3
A =(np.pi*d**2)/4
rho = 65.14
T = 24.45
H = 4.1949e5
#H = 1.1744e5
v_fg = 0.2753
cp = 1.2833e4

'Clausius-Clapyron'
Q = ((H*A)/v_fg)*np.sqrt(1/(T*cp))
print(Q)  
    
    
    